
QGIS Application - Bug report #7354

Export/Add geometry columns doesn't work as expected

2013-03-14 06:01 AM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16331

Description

The geometry columns are not create on the original layer. unless you choose an output file!

Associated revisions

Revision 1294190e - 2013-03-14 02:54 PM - Alexander Bruy

fix Export geometry info tool (fix #7354)

History

#1 - 2013-03-14 06:54 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"1294190e7709b50e0a1238ab9fcbf1cff2bc971c".

#2 - 2013-03-14 06:55 AM - Alexander Bruy

- Resolution set to fixed

#3 - 2013-03-18 08:39 AM - Salvatore Larosa

- Resolution deleted (fixed)

- Status changed from Closed to Reopened

Hi Alex,

I still cannot get it working !

#4 - 2013-04-26 08:35 AM - vinayan Parameswaran

It is creating the geometry columns. But the attribute table is not refreshed. When I remove and add the same layer once again, I can see the columns

#5 - 2013-06-01 09:11 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to fixed
I would propose to close this, because the tools works, it is just the table that is not refreshed. This issue affects also other tools, so is a more general one

and would deserve a feature ticket (like "add a reload button in table of attributes"). If you don't agree please reopen this ticket.

#6 - 2013-08-08 04:06 AM - Salvatore Larosa

Giovanni Manghi wrote:

I would propose to close this, because the tools works, it is just the table that is not refreshed. This issue affects also other tools, so is a more

general one and would deserve a feature ticket (like "add a reload button in table of attributes"). If you don't agree please reopen this ticket.

Now (in commit:0878fca) it works as in 1.8, the fields map are refreshed. Which other tools are you refering to ?

#7 - 2013-08-08 09:18 AM - Giovanni Manghi

Salvatore Larosa wrote:

Which other tools are you refering to ?

I can't remember now, but may be this patch fixed them too :) Let see if in the future we are able to spot this issue again in other tools, hopefully not.

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
